Ready to get started with Slash? Get Started →
curl --request POST \
--url https://api.slash.com/invoice/series/{invoiceSeriesId}/cancel \
--header 'X-API-Key: <api-key>'{
"invoiceSeries": {
"$entity": "invoice_series",
"id": "<string>",
"status": "active",
"recurrenceRule": {
"type": "weekly",
"dayOfWeek": 3
},
"paymentTermsDays": 123,
"invoiceTz": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endCondition": {
"type": "never"
},
"template": {
"lineItemsAndTotals": {
"lineItems": [
{
"name": "<string>",
"quantity": 123,
"priceCents": 123,
"catalogItemId": "<string>"
}
],
"discount": {
"type": "percentage",
"percent": 123
},
"tax": {
"type": "percentage",
"percent": 123
}
},
"memo": "<string>",
"ccEmails": [
"<string>"
]
},
"paymentMethods": [
{
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
}
],
"accountId": "<string>",
"nextScheduledDate": "2023-11-07T05:31:56Z",
"legalEntityContactId": "<string>",
"legalEntityCustomerId": "<string>"
},
"voidedInvoice": {
"invoice": {
"id": "<string>",
"status": "void",
"collectedAmountCents": 123,
"invoiceDetailsId": "<string>",
"accountId": "<string>",
"invoiceTransactions": [
{
"transactionType": "external",
"transaction": {
"paymentMethod": {
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
},
"paidAt": "<string>"
}
}
],
"legalEntityContactId": "<string>",
"legalEntityCustomerId": "<string>",
"invoicePaymentMethods": [
{
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
}
],
"closedAt": "2023-11-07T05:31:56Z",
"invoiceSeriesId": "<string>",
"scheduledSendDate": "2023-11-07T05:31:56Z"
},
"invoiceDetails": {
"id": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"dueAt": "2023-11-07T05:31:56Z",
"invoiceTz": "America/New_York",
"currency": "<string>",
"lineItemsAndTotals": {
"lineItems": [
{
"name": "<string>",
"quantity": 123,
"priceCents": 123,
"catalogItemId": "<string>"
}
],
"subtotalCents": 123,
"totalAmountCents": 123,
"discount": {
"type": "percentage",
"percent": 123
},
"tax": {
"type": "percentage",
"percent": 123
}
},
"invoiceNumber": "<string>",
"documentId": "<string>",
"billedTo": {
"name": "<string>",
"email": "<string>",
"address": {
"addressLine": "<string>",
"addressCity": "<string>",
"addressState": "<string>",
"addressZip": "<string>",
"addressLine2": "<string>",
"addressCountry": "<string>"
},
"ccEmails": [
"<string>"
]
},
"version": 2,
"memo": "<string>"
},
"invoiceAccount": {
"id": "<string>",
"name": "<string>",
"slashAccountGroupId": "<string>",
"accountType": "default",
"accountNumber": "<string>",
"routingNumber": "<string>",
"closedAt": "<string>"
}
}
}Cancel an invoice series. Already-generated invoices are not affected. The next scheduled (unpaid) invoice will be voided.
curl --request POST \
--url https://api.slash.com/invoice/series/{invoiceSeriesId}/cancel \
--header 'X-API-Key: <api-key>'{
"invoiceSeries": {
"$entity": "invoice_series",
"id": "<string>",
"status": "active",
"recurrenceRule": {
"type": "weekly",
"dayOfWeek": 3
},
"paymentTermsDays": 123,
"invoiceTz": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endCondition": {
"type": "never"
},
"template": {
"lineItemsAndTotals": {
"lineItems": [
{
"name": "<string>",
"quantity": 123,
"priceCents": 123,
"catalogItemId": "<string>"
}
],
"discount": {
"type": "percentage",
"percent": 123
},
"tax": {
"type": "percentage",
"percent": 123
}
},
"memo": "<string>",
"ccEmails": [
"<string>"
]
},
"paymentMethods": [
{
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
}
],
"accountId": "<string>",
"nextScheduledDate": "2023-11-07T05:31:56Z",
"legalEntityContactId": "<string>",
"legalEntityCustomerId": "<string>"
},
"voidedInvoice": {
"invoice": {
"id": "<string>",
"status": "void",
"collectedAmountCents": 123,
"invoiceDetailsId": "<string>",
"accountId": "<string>",
"invoiceTransactions": [
{
"transactionType": "external",
"transaction": {
"paymentMethod": {
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
},
"paidAt": "<string>"
}
}
],
"legalEntityContactId": "<string>",
"legalEntityCustomerId": "<string>",
"invoicePaymentMethods": [
{
"method": "ach_debit",
"config": {
"passFeeToPayer": true
}
}
],
"closedAt": "2023-11-07T05:31:56Z",
"invoiceSeriesId": "<string>",
"scheduledSendDate": "2023-11-07T05:31:56Z"
},
"invoiceDetails": {
"id": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"dueAt": "2023-11-07T05:31:56Z",
"invoiceTz": "America/New_York",
"currency": "<string>",
"lineItemsAndTotals": {
"lineItems": [
{
"name": "<string>",
"quantity": 123,
"priceCents": 123,
"catalogItemId": "<string>"
}
],
"subtotalCents": 123,
"totalAmountCents": 123,
"discount": {
"type": "percentage",
"percent": 123
},
"tax": {
"type": "percentage",
"percent": 123
}
},
"invoiceNumber": "<string>",
"documentId": "<string>",
"billedTo": {
"name": "<string>",
"email": "<string>",
"address": {
"addressLine": "<string>",
"addressCity": "<string>",
"addressState": "<string>",
"addressZip": "<string>",
"addressLine2": "<string>",
"addressCountry": "<string>"
},
"ccEmails": [
"<string>"
]
},
"version": 2,
"memo": "<string>"
},
"invoiceAccount": {
"id": "<string>",
"name": "<string>",
"slashAccountGroupId": "<string>",
"accountType": "default",
"accountNumber": "<string>",
"routingNumber": "<string>",
"closedAt": "<string>"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.slash.com/llms.txt
Use this file to discover all available pages before exploring further.
API key authentication for public API requests.
Keys come in two flavors:
GET /legal-entity, which lists the
legal entities the user can access) must include an
x-legal-entity header naming the legal entity the request is
operating on. Requests without the header are rejected with
400. The authenticated user must have an active permission
role on the supplied legal entity, otherwise the request is
rejected with 403.